[m-dev.] diff: add alias_sync to tools directory
Peter Ross
petdr at cs.mu.OZ.AU
Tue Jun 15 17:21:47 AEST 1999
Hi,
===================================================================
Estimated hours taken: 0.25
tools/alias_sync:
Add the script from the log message on Thursday July 9, 1998
to automatically sync the alias branch with the main branch.
Index: alias_sync
===================================================================
RCS file: alias_sync
diff -N alias_sync
--- /dev/null Tue Jun 15 17:09:51 1999
+++ alias_sync Tue Jun 15 17:18:47 1999
@@ -0,0 +1,25 @@
+#!/bin/sh
+# This script merges changes to the trunk into the alias branch of the
+# compiler. It should be executed from within the mercury/compiler/
+# directory in a checked-out version of the alias branch.
+
+sync_tag_file=.alias_trunk_sync_tag
+
+if [ ! -f $sync_tag_file ]
+then
+ echo $sync_tag_file: file not found
+ exit 1
+fi
+
+old_tag=`cat $sync_tag_file`
+new_tag=trunk_snapshot_`date +%Y%m%d%H%M%S`
+source_dir=mercury/compiler
+
+echo old tag: $old_tag
+echo new tag: $new_tag
+
+cvs rtag $new_tag $source_dir
+cvs update -j$old_tag -j$new_tag
+
+rm -f $sync_tag_file
+echo $new_tag >$sync_tag_file
----
+----------------------------------------------------------------------+
| Peter Ross M Sci/Eng Melbourne Uni |
| petdr at cs.mu.oz.au WWW: www.cs.mu.oz.au/~petdr/ ph: +61 3 9344 9158 |
+----------------------------------------------------------------------+
--------------------------------------------------------------------------
mercury-developers mailing list
Post messages to: mercury-developers at cs.mu.oz.au
Administrative Queries: owner-mercury-developers at cs.mu.oz.au
Subscriptions: mercury-developers-request at cs.mu.oz.au
--------------------------------------------------------------------------
More information about the developers
mailing list